www-site-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Joe Schaefer <joe_schae...@yahoo.com>
Subject Re: FWD: Missing invocation of vulnerabilites_22.sh for cms site staging
Date Mon, 15 Sep 2014 02:38:59 GMT
Builds should work now- had a premature "last" in the build
script's dependency management after upgrading it to run
a little faster.

I fished this out of my spam folder, so might be a good idea
to send this to infra@ or some other list Y! doesn't dislike so much.

HTH 


On Monday, September 8, 2014 5:20 PM, "wrowe@rowe-clan.net" <wrowe@rowe-clan.net> wrote:
 


Note this remains unresolved.  Would it be helpful to open an infra ticket,
or would a savvy site-dev guru take a look at this puzzle?
 
--------- Original Message --------- 
>Subject: FWD: Missing invocation of vulnerabilites_22.sh for cms site staging
>From: wrowe@rowe-clan.net
>Date: 9/3/14 12:39 pm
>To: site-dev@apache.org
>
>
>Wondering if someone can offer any insight?
> 
>http://svn.apache.org/repos/asf/httpd/site/trunk/ is the top level of the site source.
> 
>Both content/security/vulnerabilities_22.sh and content/security/vulnerabilities_24.sh

>should be invoked upon updates to content/security/vulnerabilities-httpd.xml but
>only vulnerabilities_24.sh is executed and vulnerabilities_22.sh is not.
> 
>The relevant bit of lib/path.pm;
>our %dependencies = (
>map +($_ => ["/security/vulnerabilities-httpd.xml"]), grep s/^content//, glo
>b "content/security/*.sh"
>);
>Ideas?
>Thanks,
>Bill
> 
>--------- Original Message --------- 
>>Subject: Missing invocation of vulnerabilites_22.sh for cms site staging
>>From: wrowe@rowe-clan.net
>>Date: 9/3/14 10:12 am
>>To: dev@httpd.apache.org, docs@httpd.apache.org
>>
>>
>>If someone is more familiar with the site cms build than I am...
>> 
>>lib/path.pm seems to glob the vulnerabilities_22.sh and vulnerabilities_24.sh
>>as dependencies of content/security/vulnerabilities-httpd.xml.  However,
>>according to the last builds only vulnerabilities_24.sh is being invoked;
>> 
>>http://ci.apache.org/builders/httpd-site-staging/builds/22/steps/compile/logs/stdio
>> 
>>leaving us with current 2.4 and no updates to 2.2 issues.
>> 
>>I'm stumped, any hints?
>> 
Mime
View raw message